The API reference moved here from eksis.io/developers.
Conversations

Read one conversation

GET
/v1/conversations/{conversationId}

The conversation with its 20 latest messages, newest first. Does not mark it read.

Authorization

headerAuthorizationBearer <token>

Send your key as Authorization: Bearer eksis_sk_....

Path Parameters

conversationId*string

Response Body

The conversation.

application/json
  1. response
data?
curl -X GET 'https://api.eksis.io/v1/conversations/string' \  -H 'Authorization: Bearer eksis_sk_...'
{  "data": {    "id": "string",    "channelId": "string",    "platform": "string",    "contact": {      "name": "string",      "username": "string"    },    "status": "open",    "unreadCount": 0,    "lastMessageAt": "2019-08-24T14:15:22Z",    "lastMessagePreview": "string",    "replyWindow": {      "state": "open",      "expiresAt": "2019-08-24T14:15:22Z"    },    "messages": [      {        "id": "string",        "direction": "inbound",        "text": "string",        "attachments": [          {            "type": "string",            "url": "string"          }        ],        "status": "string",        "sentVia": "string",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  }}